WKS4SpreadsheetInternal::Cell Class Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
WKS4SpreadsheetInternal::Cell Class Referencefinal

a cellule of a WKS4 spreadsheet More...

Inheritance diagram for WKS4SpreadsheetInternal::Cell:

## Public Member Functions
| Cell ()
| constructor
bool | send (WPSListenerPtr &) final
| call when a cell must be send
bool | sendContent (WPSListenerPtr &) final
| call when the content of a cell must be send
Public Member Functions inherited from WPSCell
| WPSCell ()
| constructor
| WPSCell (WPSCell const &)=default
WPSCell & | operator= (WPSCell const &)=default
| ~WPSCell () override
| destructor
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList
void | setBox (WPSBox2f const &b)
| set the bounding box (units in point)
WPSBox2f const & | box () const
| return the bounding box
bool | isVerticalSet () const
| returns true if the vertical is fixed
void | setVerticalSet (bool verticalSet)
| fixes or not the vertical size
Vec2i & | position ()
| position accessor
Vec2i const & | position () const
| position accessor
void | setPosition (Vec2i posi)
| set the cell positions : 0,0 -> A1, 0,1 -> A2
Vec2i const & | numSpannedCells () const
| returns the number of spanned cells
void | setNumSpannedCells (Vec2i numSpanned)
| sets the number of spanned cells : Vec2i(1,1) means 1 cellule
virtual bool | send (WPSListenerPtr &listener)=0
| call when a cell must be send
virtual bool | sendContent (WPSListenerPtr &listener)=0
| call when the content of a cell must be send
Public Member Functions inherited from WPSCellFormat
| WPSCellFormat ()
| constructor
| WPSCellFormat (WPSCellFormat const &)=default
WPSCellFormat & | operator= (WPSCellFormat const &)=default
virtual | ~WPSCellFormat ()
| destructor
bool | hasBasicFormat () const
| returns true if this is a basic format style
std::string | getValueType () const
| returns a value type
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList
bool | getNumberingProperties (librevenge::RVNGPropertyList &propList) const
| get the number style
WPSFont const & | getFont () const
| returns the font
void | setFont (WPSFont const &font)
| sets the font
HorizontalAlignment | hAlignment () const
| returns the horizontal alignement
void | setHAlignment (HorizontalAlignment align)
| sets the horizontal alignement
VerticalAlignment | vAlignment () const
| returns the vertical alignement
void | setVAlignment (VerticalAlignment align)
| sets the vertical alignement
Wrapping | wrapping () const
| returns the wrapping
void | setWrapping (Wrapping align)
| sets the wrapping
int | getTextRotation () const
| returns the text rotation angle
void | setTextRotation (int rotation)
| sets the text rotation angle
FormatType | getFormat () const
| returns the format type
int | getSubFormat () const
| returns the subformat type
std::string | getDTFormat () const
| returns the date/time format ( if set)
void | setFormat (FormatType form, int subForm=0)
| sets the format type
void | setDTFormat (FormatType form, std::string const &dtFormat="")
| sets the format type
int | digits () const
| returns the number of digits ( for a number)
void | setDigits (int newDigit)
| set the number of digits ( for a number)
bool | isProtected () const
| returns true if the cell is protected
void | setProtected (bool fl)
| returns true if the cell is protected
bool | hasBorders () const
| return true if the cell has some border
std::vector< WPSBorder > const & | borders () const
| return the cell border: libwps::LeftBit | ...
void | resetBorders ()
| reset the border
void | setBorders (int wh, WPSBorder const &border)
| sets the cell border: wh=WPSBorder::LeftBit|...
void | setBorders (std::vector< WPSBorder > const &newBorders)
| sets the cell borders
WPSColor | backgroundColor () const
| returns the background color
void | setBackgroundColor (WPSColor const &color)
| set the background color
int | compare (WPSCellFormat const &cell, bool onlyNumbering=false) const
| a comparison function

## Public Attributes
int | m_styleId
| the style
WPSCellFormat::HorizontalAlignment | m_hAlignement
| the horizontal align (in dos file)
WKSContentListener::CellContent | m_content
| the content
std::vector< WPSEntry > | m_extraTextEntryList
| As very long text is splitted in zone 0xf and then in zone 0x36, the list of zone36 text entries...

## Friends
std::ostream & | operator<< (std::ostream &o, Cell const &cell)
| operator<<

## Additional Inherited Members
Public Types inherited from WPSCellFormat
enum | HorizontalAlignment { HALIGN_LEFT , HALIGN_RIGHT , HALIGN_CENTER , HALIGN_FULL , HALIGN_DEFAULT }
| the default horizontal alignement. More...
enum | VerticalAlignment { VALIGN_TOP , VALIGN_CENTER , VALIGN_BOTTOM , VALIGN_DEFAULT }
| the default vertical alignement. More...
enum | Wrapping { WRAP_WRAP , WRAP_NO_WRAP , WRAP_DEFAULT }
| the wrapping More...
enum | FormatType { F_TEXT , F_BOOLEAN , F_NUMBER , F_DATE , F_TIME , F_UNKNOWN }
| the different types of cell's field More...
Static Protected Member Functions inherited from WPSCellFormat
static bool | convertDTFormat (std::string const &dtFormat, librevenge::RVNGPropertyListVector &propListVector)
| convert a DTFormat in a propertyList
Protected Attributes inherited from WPSCell
WPSBox2f | m_box
| the cell bounding box (unit in point)
bool | m_verticalSet
| true if y size is fixed
Vec2i | m_position
| the cell row and column : 0,0 -> A1, 0,1 -> A2
Vec2i | m_numberCellSpanned
| the cell spanned : by default (1,1)
Protected Attributes inherited from WPSCellFormat
WPSFont | m_font
| the cell font ( used in spreadsheet code )
HorizontalAlignment | m_hAlign
| the cell alignement : by default nothing
VerticalAlignment | m_vAlign
| the cell vertical alignement : by default nothing
Wrapping | m_wrapping
| the wrapping : by default nothing
int | m_rotation
| the text rotation
std::vector< WPSBorder > | m_bordersList
| the cell border WPSBorder::Pos
FormatType | m_format
| the cell format : by default unknown
int | m_subFormat
| the sub format
std::string | m_DTFormat
| a date/time format ( using a subset of strftime format )
int | m_digits
| the number of digits
bool | m_protected
| cell protected
WPSColor | m_backgroundColor
| the backgroung color

## Detailed Description

a cellule of a WKS4 spreadsheet

## Constructor & Destructor Documentation

## ◆ Cell()

WKS4SpreadsheetInternal::Cell::Cell | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ send()

bool WKS4SpreadsheetInternal::Cell::send | ( | WPSListenerPtr & |  | ) |
| finalvirtual

call when a cell must be send

Implements WPSCell.

## ◆ sendContent()

bool WKS4SpreadsheetInternal::Cell::sendContent | ( | WPSListenerPtr & |  | ) |
| inlinefinalvirtual

call when the content of a cell must be send

Implements WPSCell.

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Cell const & | cell
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_content

WKSContentListener::CellContent WKS4SpreadsheetInternal::Cell::m_content

the content

Referenced by WKS4Spreadsheet::sendCellContent().

## ◆ m_extraTextEntryList

std::vector<WPSEntry> WKS4SpreadsheetInternal::Cell::m_extraTextEntryList

As very long text is splitted in zone 0xf and then in zone 0x36, the list of zone36 text entries...

Referenced by WKS4Spreadsheet::sendCellContent().

## ◆ m_hAlignement

WPSCellFormat::HorizontalAlignment WKS4SpreadsheetInternal::Cell::m_hAlignement

the horizontal align (in dos file)

Referenced by WKS4Spreadsheet::sendCellContent().

## ◆ m_styleId

int WKS4SpreadsheetInternal::Cell::m_styleId

the style

Referenced by WKS4Spreadsheet::sendCellContent().

The documentation for this class was generated from the following file:

- WKS4Spreadsheet.cpp